.site-header,
.site-footer {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.site-header {
    padding: 23px 0;
}

.site-footer {
    padding: 27px 0;
}

.header-container,
.footer-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width: 1200px;
}

.logo,
.logo-footer {
    cursor: pointer;
    display: inline-block;
    width: 214px;
    height: 40px;
}

.logo img,
.logo-footer img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.btn-header-talk {
    width: 160px;
    height: 46px;
    border: none;
    background-color: var(--black);
    color: var(--white);
    border-radius: 32px;
    padding: 12px 32px;
    font-family: var(--roboto);
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
	text-align: center;
}

.primary-menu,
.footer-navigation ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 40px;
    list-style: none;
}

.primary-menu li a,
.footer-navigation ul li a {
    font-family: var(--roboto);
    font-weight: 400;
    font-size: 16px;
    line-height: 100%;
    color: var(--black);
}

.main-navigation {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 40px;
}

.footer-copyright {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.footer-copyright p {
    color: var(--grey);
    font-family: var(--roboto);
    font-weight: 400;
    font-size: 16px;
    line-height: 100%;
}

.mobile-only {
    display: none;
}

.itd-logo {
    width: 128px;
    height: 32px;
    display: inline-block;
}

.itd-logo svg {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.mobile-menu-overlay {
    display: none;
}

@media (max-width: 768px) {
    .mobile-only {
        display: flex;
    }
    .desktop-only {
        display: none;
    }

    .site-header,
    .site-footer {
        padding: 20px 16px;
    }

    .site .logo {
        z-index: 1001;
        width: 171px;
        height: 32px;
    }

    .site-footer {
        position: relative;
        padding: 32px 16px;
    }

    .header-container,
    .footer-container {
        width: 100%;
    }

    .mobile-nav-trigger {
        cursor: pointer;
        position: relative;
        width: 24px;
        height: 24px;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1001;
    }

    .mobile-nav-trigger svg {
        display: block;
    }

    .mobile-menu-overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        height: 100dvh;
        background: var(--white);
        z-index: 1000;
        display: flex;
        flex-direction: column;
		opacity: 0;
        visibility: hidden;
        pointer-events: none;
        overflow-y: auto;
    }

    .mobile-nav-trigger-close {
        cursor: pointer;
        width: 24px;
        height: 24px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .mobile-nav-trigger-close svg {
        display: block;
    }

    .mobile-menu-content {
        flex: 1;
        display: flex;
        flex-direction: column;
        gap: 40px;
        align-items: flex-start;
        width: 100%;
        padding: 40px 16px;
    }

    .mobile-menu-content ul {
        list-style: none;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 24px;
    }

    .mobile-menu-content li a {
        font-family: var(--roboto);
        color: var(--black);
        font-weight: 400;
        font-size: 32px;
        line-height: 100%;
    }
	
    .mobile-btn {
        padding: 0;
        font-size: 18px;
        font-weight: 400;
        font-size: 18px;
        line-height: 24px;
        width: 100%;
        height: 56px;
        padding: 16px 0;
        text-align: center;
    }

    .mobile-nav-trigger {
        position: relative;
    }

    .burger-icon,
    .close-icon {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .footer-container {
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
        gap: 0;
    }

    .footer-navigation {
        padding: 24px 0 40px;
    }

    .logo-footer {
        width: 361px;
        height: 40px;
    }

    .footer-navigation ul li a {
        font-size: 18px;
        line-height: 150%;
    }
	
	.site-footer.mobile-menu-bottom{
		opacity: 0;
		visibility: hidden;
	}
	
	.site-footer.mobile-menu-bottom.active{
		opacity: 1;
		visibility: visible;
	}
}
